package saccubus.worker.profile;

/**
 * {@link saccubus.converter.Converter.Converter}が必要とするプロファイルです.
 * Converterを使用するクライアントは, このインタフェースを実装するクラスのインスタンスで
 * Converterへ処理させる内容を通知します.
 * @author yuki
 */
public interface DownloadProfile {

    LoginProfile getLoginProfile();

    ProxyProfile getProxyProfile();

    VideoProfile getVideoProfile();

    CommentProfile getCommentProfile();

    GeneralProfile getGeneralProfile();
}
